petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexCheckSymmetry

Check that the adjacency information in the mesh is symmetric.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckSymmetry(DM dm)

### Input Parameters

+ dm - The DMPlex object

Note: This is a useful diagnostic when creating meshes programmatically.

### See Also

DMCreate(), DMCheckSkeleton(), DMCheckFaces()

Level:developer
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages